%define name	Geramik
%define version	0.23
%define release	1mdk

Summary:	QTPixmap GTK engine and Geramik GTK theme
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://www.kde-look.org/content/show.php?content=3952
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	imlib-devel
BuildRequires:	gtk+-devel
BuildRequires:	gtk+2-devel

%description
This is a engine/theme intended to make GTK applications have a similar look
to the Keramik KDE style.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f ${RPM_BUILD_ROOT}%{_datadir}/themes/Geramik/README.html

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk/themes/engines/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/*.la

chmod 644 AUTHORS ChangeLog COPYING README TODO geramik/README.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO geramik/README.html
%{_datadir}/themes/*
%{_libdir}/gtk/themes/engines/libqtpixmap.so
%{_libdir}/gtk-2.0/*/engines/libqtpixmap.so

%changelog
* Fri Mar 28 2003 David Walluck <walluck@linux-mandrake.com> 0.23-1mdk
- 0.23
- force correct permissions on docs

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-2mdk
- Drop the gtkrc (un)installation stuff in %post/%postun, this is completely broken..
- Use correct name for gtk+ 2.0 rc file (fix use in GNOME theme manager)

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.17-1mdk
- new release
- rebuild for new gtk+-2.2.0

* Tue Dec 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 0.15
	- Add some BuildRequires (thanks Luca Olivetti)

* Tue Dec 10 2002 David Walser <luigiwalser@yahoo.com> 0.14-1mdk
- 0.14

* Mon Dec 09 2002 David Walser <luigiwalser@yahoo.com> 0.13-1mdk
- 0.13

* Thu Dec 05 2002 David Walser <luigiwalser@yahoo.com> 0.11-1mdk
- 0.11

* Wed Dec 04 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.10-1mdk
- 0.10

* Thu Nov 29 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.09-1mdk
- 0.09

* Tue Nov 26 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.08-1mdk
- 0.08

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 0.07

* Thu Nov 21 2002 David Walser <luigiwalser@yahoo.com> 0.06-1mdk
- 0.06
- Fix another upgrade bug

* Tue Nov 19 2002 David Walser <luigiwalser@yahoo.com> 0.05-1mdk
- 0.05

* Sun Nov 17 2002 David Walser <luigiwalser@yahoo.com> 0.04-2mdk
- Fix upgrade bug

* Sun Nov 17 2002 David Walser <luigiwalser@yahoo.com> 0.04-1mdk
- 0.4

* Fri Nov 15 2002 David Walser <luigiwalser@yahoo.com> 0.03-1mdk
- Initial Mandrake package
